searchData={"items":[{"type":"module","title":"Stitch","doc":"","ref":"Stitch.html"},{"type":"function","title":"Stitch.apply_options/2","doc":"","ref":"Stitch.html#apply_options/2"},{"type":"macro","title":"Stitch.called/1","doc":"","ref":"Stitch.html#called/1"},{"type":"macro","title":"Stitch.stitch/4","doc":"","ref":"Stitch.html#stitch/4"},{"type":"module","title":"Stitch.Call","doc":"","ref":"Stitch.Call.html"},{"type":"function","title":"Stitch.Call.assert_called/3","doc":"","ref":"Stitch.Call.html#assert_called/3"},{"type":"function","title":"Stitch.Call.function_was_called?/3","doc":"","ref":"Stitch.Call.html#function_was_called?/3"},{"type":"function","title":"Stitch.Call.get_arguments/2","doc":"","ref":"Stitch.Call.html#get_arguments/2"},{"type":"function","title":"Stitch.Call.get_last/2","doc":"","ref":"Stitch.Call.html#get_last/2"},{"type":"module","title":"Stitch.Replace","doc":"","ref":"Stitch.Replace.html"},{"type":"function","title":"Stitch.Replace.apply_expect/3","doc":"","ref":"Stitch.Replace.html#apply_expect/3"},{"type":"function","title":"Stitch.Replace.build_mock_body/2","doc":"","ref":"Stitch.Replace.html#build_mock_body/2"},{"type":"function","title":"Stitch.Replace.from_binary/2","doc":"","ref":"Stitch.Replace.html#from_binary/2"},{"type":"function","title":"Stitch.Replace.from_header/3","doc":"","ref":"Stitch.Replace.html#from_header/3"},{"type":"function","title":"Stitch.Replace.replace_function/2","doc":"","ref":"Stitch.Replace.html#replace_function/2"},{"type":"function","title":"Stitch.Replace.with_value/4","doc":"","ref":"Stitch.Replace.html#with_value/4"},{"type":"exception","title":"Stitch.Errors.CallArguments","doc":"","ref":"Stitch.Errors.CallArguments.html"},{"type":"extras","title":"Stitch","doc":"# Stitch\n\n![Hex.pm Version](https://img.shields.io/hexpm/v/stitch?style=flat&link=https%3A%2F%2Fhex.pm%2Fpackages%2Fstitch)\n[![builds.sr.ht status](https://builds.sr.ht/~nomorepanic/stitch/commits/main/test-current.yaml.svg)](https://builds.sr.ht/~nomorepanic/stitch/commits/main/test-current.yaml?)\n\nEasy mocking for easy testing.","ref":"readme.html"},{"type":"extras","title":"Instructions - Stitch","doc":"It's as simple as:\n\n```elixir\ndefmodule SomeTest do\n  import Stitch\n\n  test \"calling IO.puts\" do\n    stitch IO, [\"puts\"] do  \n      result = Mymodule.func(\"pandoro\")\n      # Assume func = fn x -> IO.puts(x) end\n\n      assert called(IO.puts(\"pandoro\"))\n      assert result == \"puts/1\"\n    end\n  end\nend\n```\n\nIf you need a specific value:\n\n```elixir\ntest \"calling IO.puts\" do\n  stitch IO, [{\"puts/1\", :value}] do  \n    result = Mymodule.func(\"pandoro\")\n\n    assert called(IO.puts(\"pandoro\"))\n    assert result == :value\n  end\nend\n```","ref":"readme.html#instructions"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}